routes/web.php
<?php

use App\Http\Controllers\Admin\AdminController;
use App\Http\Controllers\Admin\ProfileController;
use App\Http\Controllers\Admin\ServiceController;
use App\Http\Controllers\Admin\DestinationController;
use App\Http\Controllers\Admin\UserAdminController;
use App\Http\Controllers\Admin\BookingController;
use App\Http\Controllers\Admin\PaymentStatusController;
use App\Http\Controllers\Page\HomeController;
use App\Http\Controllers\Page\ServiceController as PageServiceController;
use App\Http\Controllers\Page\DestinationController as PageDestinationController;
use App\Http\Controllers\Page\BookingController as PageBookingController;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Auth::routes();
Route::get('template', function () {
  return view('layouts.admin.app');
});


Route::prefix('admin-dashboard')->group(function () {
  Route::get('/', [AdminController::class, 'dashboard'])->name('admin.dashboard');
  Route::resource('service', ServiceController::class)->middleware(['role:1,2']);
  Route::resource('destination', DestinationController::class)->middleware(['role:1,2']);
  Route::resource('booking', BookingController::class)->middleware(['role:1,2']);
  Route::resource('payment', PaymentStatusController::class)->middleware(['role:1,2']);
});

Route::middleware(['role:3'])->group(function () {
});

// Client
Route::get('/', [HomeController::class, 'landing'])->name('landing'); // Landing

Route::get('/destination/{id}', [PageDestinationController::class, 'detail'])->name('destinations'); // Detail Destination

Route::get('/service/{id}', [PageServiceController::class, 'showService'])->name('showService'); // Show Service

Route::post('/booking', [PageBookingController::class, 'store'])->name('newBooking'); // Booking

Route::get('/booking', [PageBookingController::class, 'index'])->name('bookingAll'); // Booking

Route::get('/booking/{id}', [PageBookingController::class, 'show'])->name('bookingShow'); // Booking

Route::get('/testimonial/{id}', [PageBookingController::class, 'Createtestimonial'])->name('createTestimonial'); // Booking

Route::post('/', [PageBookingController::class, 'Newtestimonial'])->name('newTestimonial'); // Booking

resources/views/admin/payment/index.blade.php
@extends('layouts.admin.app')
@section('title')
  List Destinations
@endsection

@push('scripts')
<script>
  $(function () {
    $("#paymentStatusTable").DataTable();
  });
</script>
<script type="text/javascript" src="https://cdn.datatables.net/v/dt/dt-1.13.1/datatables.min.js"></script>
@endpush

@push('style')
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/dt/dt-1.13.1/datatables.min.css"/>
@endpush

@section('content')
  <div class="row">
    <div class="col-md-12">

      <div class="card mb-4">

        <div class="card-header border-bottom d-flex justify-content-between">
          <h5 class="card-title mb-0">@yield('title')</h5>
        </div>

        <div class="row mx-1 my-3">
          <div class="col-12 col-md-6 d-flex align-items-center justify-content-between justify-content-md-start gap-2 mb-3 mb-md-0">
            <div class="text-xl-end text-lg-start text-md-end text-start mt-md-0">
              <a href="{{ route('destination.create') }}" class="btn btn-primary" type="button">
                  <span>
                      <i class="bx bx-plus me-md-2"></i>
                      <span class="d-md-inline-block d-none">Add New Destination</span>
                  </span>
              </a>
            </div>
          </div>
        </div>
        <div class="card-body">
          <div class="table-responsive text-nowrap">
            <table id="paymentStatusTable" class="stripe">
              <thead class="table-primary">
                  <tr>
                      <th>#</th>
                      <th>Name</th>
                      <th>Actions</th>
                  </tr>
              </thead>
              <tbody class="table-border-bottom-0">

                @forelse($payment as $key => $item)
                @php
                  $name = $item->name;
                @endphp
                <tr>
                    <td>{{ $key + 1}}</td>
                    <td>{{ $item->name }}</td>
                    <td class="col-2">
                      <a class="btn btn-link btn-sm text-light" href="{{ route('payment.edit', $item->id) }}">
                        <i class="bx bx-edit-alt"></i>
                        Edit
                      </a>
                      <a class="btn btn-link btn-sm text-light" onclick="" data-bs-toggle="modal"
                      data-bs-target="#modal-delete-3_{{ $item->id }}" data-action="{{ route('payment.destroy', $item->id) }}">
                      <i class="bx bx-trash "></i>
                          Delete
                      </a>
                      <!-- modal delete-->
                      <div class="modal fade" id="modal-delete-3_{{ $item->id }}" tabindex="-1" aria-hidden="true" style="display: none;">
                        <div class="modal-dialog modal-dialog-centered" role="document"><div class="modal-content">
                          <div class="modal-header">
                              <h5 class="modal-title" id="modal-deleteTitle">Hapus Data</h5>
                              <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                          </div>

                          <form action="{{ route('payment.destroy', $item->id) }}" method="post">
                            @csrf
                            @method('delete')
                            <div class="modal-body">
                                <h5 class="text-center">Yakin, akan menghapus <b>{{ $item->name }}</b> ?</h5>
                            </div>
                            <div class="modal-footer justify-content-between">
                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancel</button>
                                <button type="submit" class="btn btn-danger">Ya! Hapus</button>
                            </div>
                          </form>
                        </div>
                      </div>
                    </div>
                  </td>
                </tr>
                @empty

                @endforelse
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
@endsection